<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: android_test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">android_test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7b7d4c70f8f8c2a1fcd97b6c1f1b55d4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#a7b7d4c70f8f8c2a1fcd97b6c1f1b55d4">run_test</a> (<a class="el" href="namespaceandroid__test.html#ae8a99b500caba798135dba08ed0f09db">args</a>)</td></tr>
<tr class="separator:a7b7d4c70f8f8c2a1fcd97b6c1f1b55d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5368cd735617e26888f2deab61524c77"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#a5368cd735617e26888f2deab61524c77">parse</a> ()</td></tr>
<tr class="separator:a5368cd735617e26888f2deab61524c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ca48b56fbd08baea14603ede15fc3f9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#a2ca48b56fbd08baea14603ede15fc3f9">process_inputs</a> (inputs_folder, inputs)</td></tr>
<tr class="separator:a2ca48b56fbd08baea14603ede15fc3f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9632bf71e37356047a0e5d799b454c1d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#a9632bf71e37356047a0e5d799b454c1d">parse_output</a> (<a class="el" href="namespaceandroid__test.html#ad0a45e5419564853c660edcc90a31a7a">output</a>)</td></tr>
<tr class="separator:a9632bf71e37356047a0e5d799b454c1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a7482a272adcfff3ef375989ab72f192f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#a7482a272adcfff3ef375989ab72f192f">FNULL</a> = open(devnull, 'w')</td></tr>
<tr class="separator:a7482a272adcfff3ef375989ab72f192f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d40ef3667a7f63e1665dc06c42db565"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#a1d40ef3667a7f63e1665dc06c42db565">SEPARATOR</a> = '/'</td></tr>
<tr class="separator:a1d40ef3667a7f63e1665dc06c42db565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a99b500caba798135dba08ed0f09db"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#ae8a99b500caba798135dba08ed0f09db">args</a> = <a class="el" href="namespaceandroid__test.html#a5368cd735617e26888f2deab61524c77">parse</a>()</td></tr>
<tr class="separator:ae8a99b500caba798135dba08ed0f09db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0a45e5419564853c660edcc90a31a7a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#ad0a45e5419564853c660edcc90a31a7a">output</a> = <a class="el" href="namespaceandroid__test.html#a7b7d4c70f8f8c2a1fcd97b6c1f1b55d4">run_test</a>(<a class="el" href="namespaceandroid__test.html#ae8a99b500caba798135dba08ed0f09db">args</a>)</td></tr>
<tr class="separator:ad0a45e5419564853c660edcc90a31a7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e1aa687ed18d8d4feb03f0e6835f14a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceandroid__test.html#a6e1aa687ed18d8d4feb03f0e6835f14a">ret_value</a> = <a class="el" href="namespaceandroid__test.html#a9632bf71e37356047a0e5d799b454c1d">parse_output</a>(<a class="el" href="namespaceandroid__test.html#ad0a45e5419564853c660edcc90a31a7a">output</a>)</td></tr>
<tr class="separator:a6e1aa687ed18d8d4feb03f0e6835f14a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5368cd735617e26888f2deab61524c77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5368cd735617e26888f2deab61524c77">&#9670;&nbsp;</a></span>parse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def android_test.parse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Parse arguments.</pre> 
</div>
</div>
<a id="a9632bf71e37356047a0e5d799b454c1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9632bf71e37356047a0e5d799b454c1d">&#9670;&nbsp;</a></span>parse_output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def android_test.parse_output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>output</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Extract test return value and print the test output.</pre> 
</div>
</div>
<a id="a2ca48b56fbd08baea14603ede15fc3f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ca48b56fbd08baea14603ede15fc3f9">&#9670;&nbsp;</a></span>process_inputs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def android_test.process_inputs </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>inputs_folder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>inputs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Process the inputs passed to the test.

If the input is an existing file or directory, upload it to the device and
use the new location as argument.
</pre> 
</div>
</div>
<a id="a7b7d4c70f8f8c2a1fcd97b6c1f1b55d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b7d4c70f8f8c2a1fcd97b6c1f1b55d4">&#9670;&nbsp;</a></span>run_test()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def android_test.run_test </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Upload and run the test on the device.</pre> 
</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ae8a99b500caba798135dba08ed0f09db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8a99b500caba798135dba08ed0f09db">&#9670;&nbsp;</a></span>args</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def android_test.args = <a class="el" href="namespaceandroid__test.html#a5368cd735617e26888f2deab61524c77">parse</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7482a272adcfff3ef375989ab72f192f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7482a272adcfff3ef375989ab72f192f">&#9670;&nbsp;</a></span>FNULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">android_test.FNULL = open(devnull, 'w')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad0a45e5419564853c660edcc90a31a7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0a45e5419564853c660edcc90a31a7a">&#9670;&nbsp;</a></span>output</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def android_test.output = <a class="el" href="namespaceandroid__test.html#a7b7d4c70f8f8c2a1fcd97b6c1f1b55d4">run_test</a>(<a class="el" href="namespaceandroid__test.html#ae8a99b500caba798135dba08ed0f09db">args</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e1aa687ed18d8d4feb03f0e6835f14a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e1aa687ed18d8d4feb03f0e6835f14a">&#9670;&nbsp;</a></span>ret_value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def android_test.ret_value = <a class="el" href="namespaceandroid__test.html#a9632bf71e37356047a0e5d799b454c1d">parse_output</a>(<a class="el" href="namespaceandroid__test.html#ad0a45e5419564853c660edcc90a31a7a">output</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d40ef3667a7f63e1665dc06c42db565"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d40ef3667a7f63e1665dc06c42db565">&#9670;&nbsp;</a></span>SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string android_test.SEPARATOR = '/'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
